package com.ruoyi.system.service;

import com.ruoyi.system.domain.QyInfo;
import org.apache.ibatis.annotations.Param;

import javax.servlet.http.HttpServletRequest;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * info表Service接口
 *
 * @author ruoyi
 * @date 2019-09-10
 */
public interface IQyInfoService
{
    /**
     * 查询info表
     *
     * @param id info表ID
     * @return info表
     */
    QyInfo selectQyInfoById(Long id);

    /**
     * 查询info表列表
     *
     * @param qyInfo info表
     * @return info表集合
     */
    List<QyInfo> selectQyInfoList(QyInfo qyInfo);

    /**
     * 新增info表
     *
     * @param qyInfo info表
     * @return 结果
     */
    int insertQyInfo(QyInfo qyInfo);

    /**
     * 修改info表
     *
     * @param qyInfo info表
     * @return 结果
     */
    int updateQyInfo(QyInfo qyInfo);

    /**
     * 批量删除info表
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteQyInfoByIds(String ids);

    /**
     * 删除info表信息
     *
     * @param id info表ID
     * @return 结果
     */
    int deleteQyInfoById(Long id);

    /**
     * 提企业信息表
     * @param request
     * @return
     */
    int submitFrom(HttpServletRequest request);

    /**
     * 查询info表
     *
     * @param bsid info表ID
     * @return info表
     */
    QyInfo selectQyInfoByBsId(String bsid);

    /**
     * 查询info表
     *
     * @param card sfz
     * @return info表
     */
    List<QyInfo> selectQyInfoByCard(String card);

    /**
     * 更新表状态以及创建时间
     * @param bsid
     * @param flg
     * @param createTime
     * @return
     */
    int submitFrom(@Param("bsid") String bsid, @Param("flg") String flg, @Param("createdate") Date createTime);

    /**
     * 法人&委托人信息保存导info中
     *
     * @param
     * @return 结果
     */
    int submitInfo(QyInfo info);

    /**
     * 查询企业信息
     */
    Map selectQyInfoByDate(String start, String end);

    List<Map> selectQyInfoByNumb(String date);

    List<Map>  selectQyInfoToflg();

    String sendMessage(String name,String phone,String gtname,String sendback,int flg);
}
